# HemeshGui
 
 by Amnon Owed ([http://amnonp5.wordpress.com](http://amnonp5.wordpress.com))


### About
HemeshGui :

* [https://code.google.com/p/amnonp5/](https://code.google.com/p/amnonp5/)
* [http://www.creativeapplications.net/processing/hemesh-and-hemeshgui-processing/](http://www.creativeapplications.net/processing/hemesh-and-hemeshgui-processing/)

Sunflow & Processing : 

* [http://amnonp5.wordpress.com/2010/09/28/sunflow-processing/](http://amnonp5.wordpress.com/2010/09/28/sunflow-processing/)


### Changelog

#### v0.3

changes and fixes by StudioEtrange/nomorgan ([http://www.studio-etrange.net](http://www.studio-etrange.net))

* Adapted HemeshGui to run under the latest Processing version (2.0)
* Adapted HemeshGui to run under the latest Hemesh version (1.81)
* Adapted HemeshGui to run under the latest ControlP5 (2.0.4)
* adding some sunflow light control
* adding some sunflow shaders control
* adding more mesh
* mouse control
* several UI tweak

#### v0.2

* Adapted HemeshGui to run under the latest Processing version (1.5.1)
* Adapted HemeshGui to run under the latest Hemesh version (Beta 1.4.9)
 
### Require

* Processing 2.0 [http://www.processing.org/](http://www.processing.org/)
* Hemesh 1.81 [http://hemesh.wblut.com/](http://hemesh.wblut.com/)
* controlP5 2.0.4 [http://www.sojamo.de/libraries/controlP5](http://www.sojamo.de/libraries/controlP5)

### Librairies Included

These librairies are included in HemeshGui

* SunflowAPIAPI r29 - Dec 11, 2010 - [https://code.google.com/p/sunflowapiapi/](https://code.google.com/p/sunflowapiapi/)
* Sunflow 0.7.3 [http://www.polyquark.com/opensource/](http://www.polyquark.com/opensource/) (original project : http://sunflow.sourceforge.net/ )
 
### Installation

#### Initial Steps

* Step 1 : Install Processing 2.0
* Step 2 : Inside Processing IDE, install Hemesh and controlP5

#### Install dev version from git

* cd PROCESSING_SKETCHBOOK_FOLDER
* git clone https://bitbucket.org/StudioEtrange/hemeshgui.git

#### Install last stable version

* download last version from https://bitbucket.org/StudioEtrange/hemeshgui/downloads
* unzip file into PROCESSING_SKETCHBOOK_FOLDER
